from phue import Bridge
import time
import random
from rgbxy import Converter
#b = Bridge('192.168.2.42')                            # @Sittard
b = Bridge('192.168.1.117')                            # @Eindhoven
converter = Converter()                                # This will convert hex color codes in rgb color codes
# b.connect()                                          # This is to connect the pi to the bridge and has to be done only the firts time
b.get_api()

lamp_index = b.get_light_id_by_name('Hue color lamp 2')# This indexes the name of the bulb
lights = b.get_light_objects()

def cold_white():                                      # This defenition is for cold white
    b.set_light(int(lamp_index), 'on', True)           # This comment turns on the light
    for light in lights:
        lights[1].brightness = 254                     # This will set the brightness to full, 254 is maximum value
        lights[1].xy = converter.hex_to_xy('E0FFFF')   # This will set the color to cold white

def warm_white():                                      # This defenition is for warm white
    b.set_light(int(lamp_index), 'on', True)           # This will turn on the light
    for light in lights:
        lights[1].brightness = 127                     # This will set the brightness to half, 254 is maximum value
        lights[1].xy = converter.hex_to_xy('F4A460')   # This will set the color to warm white

def reading_light():                                   # This defenition is for reading light
    b.set_light(int(lamp_index), 'on', True)           # This will turn on the light
    for light in lights:
        lights[1].brightness = 254                     # This will set the brightness to full, 254 is maximum value
        lights[1].xy = converter.hex_to_xy('FFF8DC')   # This will set the color in between warm white and cold white

def off():                                             # This defenition will trun off the light
    b.set_light(int(lamp_index), 'on', False)          # This will turn off the light